Bug 152007 - Thunderbird uses grey background
Summary: Thunderbird uses grey background
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-24 10:37 UTC by Lars E. Pettersson
Modified: 2016-02-09 17:50 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-24 20:39:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lars E. Pettersson 2005-03-24 10:37:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
I have a grey background in the preview text area and the compose window, this is new for this version, I did not see it in earlier versions. From what I can see this only affects non-html mails, i.e. html mails display the colors set in edit->preferences->display

The rpm changelog says:
----
* Wed Mar 23 2005 Christopher Aillon <caillon@redhat.com> 1.0.2-1.3.1

- Thunderbird 1.0.2
- Enable pango rendering
----

I suppose this has something to do with pango.



Version-Release number of selected component (if applicable):
thunderbird-1.0.2-1.3.1

How reproducible:
Always

Steps to Reproduce:
1. Start thunderbird
2. Make one mail visable in the preview window, or start the compose window

  

Actual Results:  The text area have a grey background


Expected Results:  The text area should have a white background (as in former versions.)

Additional info:

Tried both my regular account, and a new one where I had not used Thunderbird before, same results in both cases, i.e. no old data laying around creating problems.

Comment 1 drago01 2005-03-24 11:08:57 UTC
same problem here...

Comment 2 drago01 2005-03-24 11:14:57 UTC
this has nothing to do with pango
adding
user_pref("browser.display.use_system_colors",false);
to prefs.js solves the problem.

Comment 3 Sebastien BLAISOT 2005-03-24 12:00:19 UTC
same for me

Comment 4 Frank Büttner 2005-03-24 12:23:56 UTC
user_pref("browser.display.use_system_colors",false);
will work. So it is fixed.:)

Comment 5 Lars E. Pettersson 2005-03-24 13:14:19 UTC
Adding user_pref("browser.display.use_system_colors",false); to prefs.js works.
Thanks!

But this really, IMHO, should be a tick box in edit->preferences->display (as is
the case in Firefox)


Comment 6 Don Russell 2005-03-24 14:39:47 UTC
If the grey background differentiates a "plain text" message from an "html"
message, I like it... :-)

I agree with Lars... if adding to prefs.js is the solution here, then why do we
need a gui interface at all for other options?

How many other user preferences are only available by editting prefs.js?

I agree it is an acceptable work-around, but not a solution.

Comment 7 Christopher Aillon 2005-03-24 15:39:08 UTC
This is just me being dumb.  I merged in that pref to make thunderbird get the
colors from GTK, but forgot to merge in the patch for making it ask GTK for the
right color.  Building a new one now.

Comment 8 Ian Pilcher 2005-03-24 20:30:00 UTC
Fixed for me (FFM?) in 1.0.2-1.3.2.

Comment 9 Christopher Aillon 2005-03-24 20:39:47 UTC
Resolved->ISUCK.  sorry about the issues.

Comment 10 Aleksey Nogin 2005-03-25 05:44:42 UTC
It seems that the Mozilla update has the same problem!


Note You need to log in before you can comment on or make changes to this bug.